Package classycle.dependency

# Class CyclesResult

java.lang.Object
classycle.dependency.CyclesResult

All Implemented Interfaces:
  `Result`

public class CyclesResult extends Object implements Result
Result of a cyclic check.

Author:
  Franz-Josef Elmer

## Constructor Summary

Constructors
Constructor
Description
`CyclesResult(String statement, boolean packageCycle)`
Creates an instance for the specified statement.

## Method Summary

Modifier and Type
Method
Description
`void`
`addCycle(StrongComponent cycle)`
Adds the specified cycle.
`List<StrongComponent>`
`getCycles()`
Returns all added cycles.
`String`
`getStatement()`
Returns the statement.
`boolean`
`isOk()`
Returns `true` if no cycles have been added.
`boolean`
`isPackageCycle()`
Returns `true/false` if this result is on package/class cycles.
`String`
`toString()`
Returns the result in a human-readable form which is used by the `DefaultResultRenderer`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CyclesResult

public CyclesResult(String statement, boolean packageCycle)
Creates an instance for the specified statement.

Parameters:
  `packageCycle` - If `true/false` the check is on package/class cycles

## Method Details

### addCycle

public void addCycle(StrongComponent cycle)
Adds the specified cycle.

### getCycles

public List<StrongComponent> getCycles()
Returns all added cycles.

### getStatement

public String getStatement()
Returns the statement.

### isPackageCycle

public boolean isPackageCycle()
Returns `true/false` if this result is on package/class cycles.

### isOk

public boolean isOk()
Returns `true` if no cycles have been added.

Specified by:
  `isOk` in interface `Result`

### toString

public String toString()
Returns the result in a human-readable form which is used by the `DefaultResultRenderer`.

Overrides:
  `toString` in class `Object`